use thiserror::Error;
use zip::result::ZipError;
use std::io::Error as IoError;

#[derive(Debug, Error)]
pub enum Error {
    #[error("{0}")]
    ZipError(#[from] ZipError),
    #[error("{0}")]
    IoError(#[from] IoError),
    #[error("Pocket not set for writing")]
    ReadMode,
    #[error("Pocket not set for reading")]
    WriteMode
}
